<?php
/**
 * Createing an oursteps pannel for customizer
 *
 */
// START oursteps SECTION 
    $wp_customize->add_section(
        'luzuk_premium_oursteps',
        array(
            'title' => __( 'Step Section', 'luzuk premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_oursteps_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_oursteps_disable',
            array(
                'settings'      => 'luzuk_premium_oursteps_disable',
                'section'       => 'luzuk_premium_oursteps',
                'label'         => __( 'Disable Section', 'luzuk premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk premium' ),
                    'off' => __( 'No', 'luzuk premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'oursteps', 'luzuk_premium_oursteps', $color='#fff');

lzCustomLable($wp_customize, 'stepssec_padding', 'luzuk_premium_oursteps', 'Section Padding');

$wp_customize->add_setting(
    'steps_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'steps_areaTpadding',
    array(
        'settings'      => 'steps_areaTpadding',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'steps_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'steps_areaBpadding',
    array(
        'settings'      => 'steps_areaBpadding',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// *******
lzCustomLable($wp_customize, 'steparea_conwidth', 'luzuk_premium_oursteps', 'Section Width ');

$wp_customize->add_setting('step_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'step_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'luzuk_premium_oursteps', // Replace with your actual section ID
    'settings' => 'step_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

lzCustomLable($wp_customize, 'steparea_headingaling', 'luzuk_premium_oursteps', 'Heading Alignment');

$wp_customize->add_setting('step_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'left'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'step_maintitle_align', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'luzuk_premium_oursteps', // Replace with your actual section ID
    'settings' => 'step_maintitle_align',
    'choices'=>array(
       'left' => 'Left',
       'center' => 'Center',
       'right' => 'Right',
    )
) ) );

lzCustomLable($wp_customize, 'steparea_headingcase', 'luzuk_premium_oursteps', 'Heading Style');

$wp_customize->add_setting('step_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'step_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'luzuk_premium_oursteps', // Replace with your actual section ID
    'settings' => 'step_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

// *******

$wp_customize->add_setting(
    'oursteps_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'oursteps_title_heading',
        array(
            'settings'      => 'oursteps_title_heading',
            'section'       => 'luzuk_premium_oursteps',
            'label'         => __( 'Section Heading', 'luzuk' ),
        )
    )
);  

$wp_customize->add_setting(
    'step_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'working steps', 'luzuk' )
    )
);
$wp_customize->add_control(
    'step_title',
    array(
        'settings'      => 'step_title',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'steps_secheadClr', 'luzuk_premium_oursteps', 'Heading Color', '#d1d2d6');

$wp_customize->add_setting(
    'step_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'working steps', 'luzuk' )
    )
);
$wp_customize->add_control(
    'step_subtitle',
    array(
        'settings'      => 'step_subtitle',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'steps_secsubHeadingicn', 'luzuk_premium_oursteps', 'Sub Heading Icon Color', '#FF7617');

addColorPalatOption($wp_customize, 'steps_secsubheadClr', 'luzuk_premium_oursteps', 'Sub Heading Color', '#24345D');

$wp_customize->add_setting('luzuk_oursteps_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_oursteps_npp_heading',
        array(
            'settings'      => 'luzuk_oursteps_npp_heading',
            'section'       => 'luzuk_premium_oursteps',
            'label'         => __( 'Number Of Step Plans', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('luzuk_oursteps_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'luzuk_oursteps_npp_count',
    array(
        'settings'      => 'luzuk_oursteps_npp_count',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'luzuk_oursteps_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_oursteps_header'.$i,
            array(
                'settings'      => 'luzuk_oursteps_header'.$i,
                'section'       => 'luzuk_premium_oursteps',
                'label'         => __( 'Step ', 'luzuk' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'step_page_icon'.$i,
        array(
            'default'           => 'fa fa-cog',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'step_page_icon'.$i,
            array(
                'settings'      => 'step_page_icon'.$i,
                'section'       => 'luzuk_premium_oursteps',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk' ),
            )
        )
    );

    // $wp_customize->add_setting(
    //     'steps_title_image'.$i,
    //     array(
    //         'sanitize_callback' => 'esc_url_raw'
    //     )
    // );

    // $wp_customize->add_control(
    //     new WP_Customize_Image_Control(
    //         $wp_customize,
    //         'steps_title_image'.$i,
    //         array(
    //             'section' => 'luzuk_premium_oursteps',
    //             'settings' => 'steps_title_image'.$i,
    //             'label' => 'Select Image',
    //             'description' => __('Recommended Image Size: 150pxX150px', 'luzuk-premium')
    //         )
    //     )
    // );

lzAddElement($wp_customize, 'number_txt'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Number Text", $callback ='luzuk_sanitize_text', $default='step');

lzAddElement($wp_customize, 'luzuk_oursteps_page_title_'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Electrical Service');

lzAddElement($wp_customize, 'steps_text'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Text", $callback ='luzuk_sanitize_text', $default='There are many variations of Lorem Ipsum even believable.');

//lzAddElement($wp_customize, 'luzuk_oursteps_page_url_'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Add Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'luzuk_ourstepscolor', 'luzuk_premium_oursteps', ' Section Color');

$wp_customize->add_setting( 'wave_brd_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'wave_brd_display', array( 'label' => 'Box Wave Border Display', 'section' => 'luzuk_premium_oursteps', 'settings' => 'wave_brd_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

addColorPalatOption($wp_customize, 'steps_wvbrdClr', 'luzuk_premium_oursteps', 'Wave Border Color', '#FF7617');

addColorPalatOption($wp_customize, 'steps_bulbClr', 'luzuk_premium_oursteps', 'Bulb Color', '#FF7617');

addColorPalatOption($wp_customize, 'steps_icnClr', 'luzuk_premium_oursteps', 'Icon Color', '#FF7617');

addColorPalatOption($wp_customize, 'oursteps_numClr', 'luzuk_premium_oursteps', 'Number Color', '#fff');

addColorPalatOption($wp_customize, 'oursteps_numBGClr', 'luzuk_premium_oursteps', 'Number BG Color', '#FF7617');

addColorPalatOption($wp_customize, 'oursteps_titleClr', 'luzuk_premium_oursteps', 'Title Color', '#24345D');

addColorPalatOption($wp_customize, 'oursteps_titlehvClr', 'luzuk_premium_oursteps', 'Title Hover Color', '#FF7617');

addColorPalatOption($wp_customize, 'oursteps_textClr', 'luzuk_premium_oursteps', 'Text Color', '#24345D');

